pytest:
  stage: test
  script:
    - apt-get update -qy
    - apt-get install -y python3-dev python3-pip graphviz graphviz-dev
    - pip install '.[test]'
    - pytest --cov --cov-report term-missing --cov-report xml:./coverage.xml --junitxml=./test.xml --cov-config=.coveragerc
  coverage: '/^TOTAL .+?(\d+%)$/'
  artifacts:
    reports:
      coverage_report:
        coverage_format: cobertura
        path: coverage.xml

pages:
  script:
    - apt-get update -qy
    - apt-get install -y python3-dev python3-pip graphviz graphviz-dev
    - pip install pdoc
    - pip install .
    - pdoc --output-dir public cooperative_cuisine !cooperative_cuisine.reinforcement_learning --logo https://gitlab.ub.uni-bielefeld.de/uploads/-/system/project/avatar/6780/Cooking-Vector-Illustration-Icon-Graphics-4267218-1-580x435.jpg --docformat google --favicon overcooked-simulator/cooperative_cuisine/pygame_2d_vis/images/favicon.ico --footer-text "Developed@SCS"
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
  
